/* Index.html */

.header {
  height: 36px;
  width: 100%;
  display: flex;
  flex-direction: row;
  align-items: center;
}

.expand {
  display: flex;
  flex: 1;
}

.logo {
  width: 32px;
  height: 32px;
}

.menu {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
}

.menu a {
  font-size: 19px;
  font-weight: 600;
  padding: 0 16px;
}

.menu-button {
  display: none;
}

.content {
  width: 100%;
  min-height: calc(100vh - 36px - 50px * 2);
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
}

.download-container {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: start;
  justify-content: center;
}

.download-title {
  color: #1f4bcb;
  font-size: 64px;
  line-height: normal;
  margin: 0;
  margin-bottom: 60px;
}

.pc-lock {
  width: 400px;
  object-fit: contain;
}

.mobile-lock {
  display: none;
  object-fit: contain;
}

.download {
  height: 100px;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.download button {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  position: relative;
  width: 250px;
  height: 70px;
  border-radius: 25px;
  border: 3px solid #1f4bcb;
  background-color: white;
  font-size: 1.4em;
  font-weight: bold;
  color: #1f4bcb;
  z-index: 2;
  transition: 0.3s;
  overflow: hidden;
  cursor: pointer;
}

.download button::before {
  content: "";
  position: absolute;
  width: 280px;
  height: 70px;
  border-radius: 25px;
  background: #1f4bcb;
  transform: translate(-100%);
  z-index: -1;
  transition: 0.3s;
}

.download button:hover {
  color: white;
  width: 280px;
  height: 100px;
}

.download button:hover::before {
  transform: translate(0%);
  height: 100px;
}

.download button i {
  transform: scale(0);
  margin: -10px;
  transition: 0.3s;
}

.download button:hover i {
  transform: scale(1);
  display: inline;
  margin-top: 10px;
  margin-left: 10px;
  transition: 0.3s;
}

/* GenOnline.html */

.page {
  display: flex;
  flex-direction: column;
  width: 100%;
  min-height: calc(100vh - 36px - 50px * 2);
}

.info {
  font-size: 48px;
  font-weight: 400;
  color: #044cd3;
  margin: 80px 0;
}

.mdp {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  margin-bottom: 40px;
}

.input {
  width: 100%;
  height: 35px;
  padding: 10px;
  font-size: 14px;
  border: 1px solid #ccc;
  border-radius: 4px;
  margin-right: 10px;
}

.input-button {
  display: flex;
  justify-content: center;
  align-items: center;
  min-width: 80px;
  height: 35px;
  font-size: 14px;
  font-weight: 500;
  border: none;
  border-radius: 4px;
  background: #044cd3;
  color: #fff;
  cursor: pointer;
}

/* info.html */

.infoText {
  font-size: 20px;
  font-weight: 400;
  line-height: normal;
}

/* Donation.html */

.paypal a {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.paypal img {
  width: 80%;
  max-width: 400px;
  object-fit: cover;
}

#verifyMDP {
  
}

#verifyMDP.invalid {
  color: red;
}

#verifyMDP.valid {
  color: green;
}

/* Styles for the file "extension.html" */
body[data-file="extension.html"] {
  background-color: #1c9cf2;
  color: #ffffff;
}

body[data-file="extension.html"] .menu a {
  color: #fff;
}

body[data-file="extension.html"] .info {
  color: #fff;
}

body[data-file="extension.html"] .pc-lock {
  width: auto;
  object-fit: contain;
}

.chrome-btn {
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
}

.chrome-btn img{
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -10%) scale(0.75); /* Modifier la valeur de l'échelle en fonction de vos besoins */
  /* Autres styles de l'image */
}
